% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/sigmas.r
\docType{class}
\name{Sigmas class}
\alias{Sigmas}
\alias{Sigmas class}
\alias{Sigmas-class}
\alias{Sigmas-methods}
\alias{optimal.sigma}
\alias{optimal.sigma,Sigmas-method}
\alias{print,Sigmas-method}
\alias{show,Sigmas-method}
\title{Sigmas Object}
\usage{
Sigmas(...)

optimal.sigma(object)

\S4method{optimal.sigma}{Sigmas}(object)

\S4method{print}{Sigmas}(x)

\S4method{show}{Sigmas}(object)
}
\arguments{
\item{object,x}{\link{Sigmas} object}

\item{...}{See \dQuote{\strong{Slots}} below}
}
\value{
\code{Sigmas} creates an object of the same class

\code{optimal.sigma} retrieves the numeric value of the optimal sigma
}
\description{
Holds the information about how the \code{sigma} parameter for a \link{DiffusionMap} was obtained,
and in this way provides a plotting function for the \link{find.sigmas} heuristic.
You should not need to create a Sigmas object yourself. Provide \code{sigma} to \link{DiffusionMap} instead or use \link{find.sigmas}.
}
\details{
A Sigmas object is either created by \link{find.sigmas} or by specifying the \code{sigma} parameter to \link{DiffusionMap}.

In the second case, if the \code{sigma} parameter is just a number,
the resulting \code{Sigmas} object has all slots except of \code{optimal.sigma} set to \code{NULL}.
}
\section{Slots}{

\describe{
\item{\code{log.sigmas}}{Vector of length \eqn{m} containing the \eqn{\log_{10}} of the \eqn{\sigma}s}

\item{\code{dim.norms}}{Vector of length \eqn{m-1} containing the average dimensionality \eqn{\langle p \rangle} for the respective kernel widths}

\item{\code{optimal.sigma}}{Mean of the two \eqn{\sigma}s around the highest \eqn{\langle p \rangle} (\code{c(optimal.idx, optimal.idx+1L)})}

\item{\code{optimal.idx}}{The index of the highest \eqn{\langle p \rangle}.}

\item{\code{avrd.norms}}{Vector of length \eqn{m} containing the average dimensionality for the corresponding sigma.}
}}
\examples{
data(guo)
sigs <- find.sigmas(guo, verbose = FALSE)
optimal.sigma(sigs)
print(sigs)
}
\seealso{
\code{\link{find.sigmas}}, the function to determine a locally optimal sigma and returning this class
}

